Skip to main content
`Ctrl`+`K`

# PCBDDCSetCoarseningRatio

Set coarsening ratio used in the multi-level version of `PCBDDC`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetCoarseningRatio(PC pc, PetscInt k)

Logically Collective

## Input Parameters

- pc - the preconditioning context

- k - coarsening ratio (H/h at the coarser level)

## Options Database Key

- -pc_bddc_coarsening_ratio k - Set the coarsening ratio used in multi-level coarsening

## Note

Approximately `k` subdomains at the finer level will be aggregated into a single subdomain at the coarser level

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetLevels()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCSetCoarseningRatio_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages